Bug 591423 - USB keyboard fails to suspend, triggering hibernation failure
USB keyboard fails to suspend, triggering hibernation failure
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: John Feeney
Red Hat Kernel QE team
:
Depends On:
Blocks: 846704
  Show dependency treegraph
 
Reported: 2010-05-12 04:38 EDT by Stefan Assmann
Modified: 2013-01-10 02:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-03 15:39:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pm-suspend.log (7.29 KB, text/plain)
2010-05-12 04:38 EDT, Stefan Assmann
no flags Details
/Xorg.0.log (101.84 KB, text/plain)
2010-05-12 04:40 EDT, Stefan Assmann
no flags Details
lspci.txt (3.07 KB, text/plain)
2010-05-12 04:41 EDT, Stefan Assmann
no flags Details
dmesg.txt (85.92 KB, text/plain)
2010-05-12 08:36 EDT, Stefan Assmann
no flags Details

  None (edit)
Description Stefan Assmann 2010-05-12 04:38:39 EDT
Created attachment 413354 [details]
pm-suspend.log

Description of problem:
when trying to hibernate on Lenovo T500 the screen goes black there's disk activity for about 1-2 minutes then the disk activity stops with only the half-moon LED blinking. Another 1-2 minutes later the system woke up again on it's own.

Version-Release number of selected component (if applicable):
kernel-2.6.32-25.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. hibernate the system
Comment 1 Stefan Assmann 2010-05-12 04:40:08 EDT
Created attachment 413356 [details]
/Xorg.0.log
Comment 2 Stefan Assmann 2010-05-12 04:41:01 EDT
Created attachment 413357 [details]
lspci.txt
Comment 4 RHEL Product and Program Management 2010-05-12 06:39:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Matthew Garrett 2010-05-12 08:22:50 EDT
Can you attach dmesg?
Comment 6 Matthew Garrett 2010-05-12 08:23:04 EDT
From the failure case, that is.
Comment 7 Stefan Assmann 2010-05-12 08:36:48 EDT
Created attachment 413416 [details]
dmesg.txt
Comment 8 Matthew Garrett 2010-05-12 08:45:11 EDT
It looks like your USB keyboard failed to suspend for some reason. Is this reliably repeatable?
Comment 9 Stefan Assmann 2010-05-12 08:56:33 EDT
Happened to me twice now. I haven't change my physical setup and this worked with F12 and F13beta. I can do some more testing if you let me know what I should be looking for.
Comment 10 RHEL Product and Program Management 2010-07-15 10:28:08 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 11 Matthew Garrett 2010-11-24 16:47:20 EST
Did this ever happen again?
Comment 12 Stefan Assmann 2010-11-25 02:28:02 EST
I'm not 100% sure because I gave up on hibernate because it was to unreliable for me and switched to suspend to RAM, which worked pretty good for me. Now I've already switched to F14. Feel free to close this bug.
Comment 13 RHEL Product and Program Management 2011-10-07 11:02:35 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 14 Lenny Szubowicz 2012-12-03 15:39:38 EST
I'm inheriting this open BZ. Since this problem report is somewhat old and comment 12 from the submitter indicates it might not be reproducible any more, I'm closing it.

                                  -Lenny.

Note You need to log in before you can comment on or make changes to this bug.